Name:		foxtrotgps
Summary:	Easy-to-use graphical GPS tool
Version:	1.1.1
Release:	%mkrel 3
Group:		Sciences/Geosciences
License:	GPLv2
Url:		http://www.foxtrotgps.org/
Source0:	http://www.foxtrotgps.org/releases/%{name}-%{version}.tar.gz
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libgps)
Requires:	jhead
#Requires:	gpscorrelate
Requires(post):		GConf2
Requires(preun):	GConf2

%description
FoxtrotGPS is an easy-to-use graphical tool that can be used to track the
position of a GPS receiver on a map in relation to user-defined points of
interest (POIs), a destination and waypoints, and tracks loaded from files
or internet routing-services.

FoxtrotGPS also allows internet-connected users to share their position
with other users and send messages.

FoxtrotGPS is an offshoot of Marcus Bauer's excellent Free & Open Source
tangoGPS application, with a focus on cooperation and fostering community
innovation.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-schemas-install
%make

%install
%makeinstall_std

#let files section handle docs
rm -rf %{buildroot}%{_defaultdocdir}

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas apps_%{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog HACKING NEWS README
%{_sysconfdir}/gconf/schemas/apps_%{name}.schemas
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/
%{_datadir}/man/man1/*
%{_datadir}/pixmaps/%{name}*.png


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.1.1-3.mga4
+ Revision: 504622
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 350791
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 14 2012 wally <wally> 1.1.1-1.mga3
+ Revision: 260597
- new version 1.1.1

* Tue Feb 14 2012 wally <wally> 1.1.0-1.mga2
+ Revision: 208917
- new version 1.1.0
- drop unneeded patches (fixed upstream)

* Mon Jan 02 2012 fwang <fwang> 1.0.1-2.mga2
+ Revision: 189665
- fix build with latest glib
- rebuild for new gps

* Mon Oct 17 2011 wally <wally> 1.0.1-1.mga2
+ Revision: 155838
- imported package foxtrotgps

